all: build

build:
	tup build

graph:
	tup graph . | dot -Tpng > graph.png

deploy: build
	rsync --checksum --copy-links -ave 'ssh -p 4242' \
		--exclude-from=rsync_excludes.txt \
		build/* fab@ffreling.com:public_html/ffreling.com/public/

preview: build
	open build/index.html
